### Method

# Shumate DataSource start_request

since: 1.1

#### Declaration [src]

    ShumateDataSourceRequest*
    shumate_data_source_start_request (
      ShumateDataSource* self,
      int x,
      int y,
      int zoom_level,
      GCancellable* cancellable
    )

#### Description [src]

Begins a request for a tile.

Available since: 1.1

#### Parameters

`x`

  Type: `int`

  X coordinate to request.

`y`

  Type: `int`

  Y coordinate to request.

`zoom_level`

  Type: `int`

  Zoom level to request.

`cancellable`

  Type: `GCancellable`

  For cancelling the request.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `ShumateDataSourceRequest`

A `ShumateDataSourceRequest` object for tracking the request.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.